org.apache.uima.jcas.impl

## Class JFSIndexRepositoryImpl

- java.lang.Object
- - org.apache.uima.jcas.impl.JFSIndexRepositoryImpl

- All Implemented Interfaces:
    JFSIndexRepository

      public class JFSIndexRepositoryImpl
      extends Object
      implements JFSIndexRepository

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends TOP> FSIterator<T>` | `getAllIndexedFS(int aType)` Gets an iterator over all indexed FeatureStructures of the specified Type (and any of its subtypes).
    `<T extends TOP> FSIterator<T>` | `getAllIndexedFS(Type aType)` Gets an iterator over all indexed FeatureStructures of the specified Type (and any of its subtypes).
    `AnnotationIndex<Annotation>` | `getAnnotationIndex()` Get the standard annotation index.
    `<T extends Annotation> AnnotationIndex<T>` | `getAnnotationIndex(int type)` Get the standard annotation index restricted to a specific annotation type.
    `FSIndexRepository` | `getFSIndexRepository()` Get the underlying FSIndexRepository associated with this JFSIndexRepository.
    `<T extends TOP> FSIndex<T>` | `getIndex(String label)` Retrieve an index according to a label.
    `<T extends TOP> FSIndex<T>` | `getIndex(String label, int type)` Retrieve an index according to a label and a type.
    `Iterator<FSIndex<TOP>>` | `getIndexes()` Get all indexes in this repository.
    `Iterator<String>` | `getLabels()` Get all labels for all indexes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getIndex

          public <T extends TOP> FSIndex<T> getIndex(String label)

      Description copied from interface: `JFSIndexRepository`
      Retrieve an index according to a label.
      Specified by:
        `getIndex` in interface `JFSIndexRepository`
      Type Parameters:
        `T` - the Java class corresponding to the top most type defined by this index
      Parameters:
        `label` - The name of the index.
      Returns:
        The index with the name `label`, or `null` if no such index is defined.

    - #### getIndex

          public <T extends TOP> FSIndex<T> getIndex(String label,
                                                     int type)

      Description copied from interface: `JFSIndexRepository`
      Retrieve an index according to a label and a type. The type is used to narrow down the index of a more general type to a more specific one.
      Specified by:
        `getIndex` in interface `JFSIndexRepository`
      Type Parameters:
        `T` - the Java class corresponding to the type
      Parameters:
        `label` - The name of the index
        `type` - A subtype of the type of the index, written as Foo.type
      Returns:
        The specified index, or `null` if an index with that name doesn't exist, or it exists but `type` is not a subtype of the index's type.

    - #### getAnnotationIndex

          public AnnotationIndex<Annotation> getAnnotationIndex()

      Description copied from interface: `JFSIndexRepository`
      Get the standard annotation index.
      Specified by:
        `getAnnotationIndex` in interface `JFSIndexRepository`
      Returns:
        The standard annotation index.

    - #### getAnnotationIndex

          public <T extends Annotation> AnnotationIndex<T> getAnnotationIndex(int type)

      Description copied from interface: `JFSIndexRepository`
      Get the standard annotation index restricted to a specific annotation type.
      Specified by:
        `getAnnotationIndex` in interface `JFSIndexRepository`
      Type Parameters:
        `T` - the Java class corresponding to type
      Parameters:
        `type` - The annotation type the index is restricted to, written as Foo.type
      Returns:
        The standard annotation index, restricted to `type`.

    - #### getLabels

          public Iterator<String> getLabels()

      Description copied from interface: `JFSIndexRepository`
      Get all labels for all indexes.
      Specified by:
        `getLabels` in interface `JFSIndexRepository`
      Returns:
        All labels.

    - #### getIndexes

          public Iterator<FSIndex<TOP>> getIndexes()

      Description copied from interface: `JFSIndexRepository`
      Get all indexes in this repository.
      Specified by:
        `getIndexes` in interface `JFSIndexRepository`
      Returns:
        All indexes.

    - #### getFSIndexRepository

          public FSIndexRepository getFSIndexRepository()

      Description copied from interface: `JFSIndexRepository`
      Get the underlying FSIndexRepository associated with this JFSIndexRepository.
      Specified by:
        `getFSIndexRepository` in interface `JFSIndexRepository`
      Returns:
        The associated FSIndexRepository.

    - #### getAllIndexedFS

          public <T extends TOP> FSIterator<T> getAllIndexedFS(Type aType)

      Description copied from interface: `JFSIndexRepository`
      Gets an iterator over all indexed FeatureStructures of the specified Type (and any of its subtypes).

      Limitation: If there are no sorted or bag indexes defined for this type, but there is more than one set index defined, then this method will only return the contents of one of these set indexes (chosen arbitrarily). Generics: The returned Java cover class may not be a JCas one.

      Specified by:
        `getAllIndexedFS` in interface `JFSIndexRepository`
      Type Parameters:
        `T` - the Java Class corresponding to aType
      Parameters:
        `aType` - The type
      Returns:
        An iterator that returns all indexed FeatureStructures of type `aType`, in no particular order.

    - #### getAllIndexedFS

          public <T extends TOP> FSIterator<T> getAllIndexedFS(int aType)

      Description copied from interface: `JFSIndexRepository`
      Gets an iterator over all indexed FeatureStructures of the specified Type (and any of its subtypes).

      Limitation: If there are no sorted or bag indexes defined for this type, but there is more than one set index defined, then this method will only return the contents of one of these set indexes (chosen arbitrarily). Generics: The returned Java cover class may not be a JCas one.

      Specified by:
        `getAllIndexedFS` in interface `JFSIndexRepository`
      Type Parameters:
        `T` - the Java Class corresponding to aType
      Parameters:
        `aType` - The JCas unique type id obtained by doing MyJCasClass.type
      Returns:
        An iterator that returns all indexed FeatureStructures of type `aType`, in no particular order.

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.